Bug 663207 - org.eclipse.jdt.junit.core jar missing in eclipse-jdt
org.eclipse.jdt.junit.core jar missing in eclipse-jdt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-14 18:37 EST by Edu!
Modified: 2010-12-24 19:28 EST (History)
7 users (show)

See Also:
Fixed In Version: eclipse-3.6.1-6.1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-24 19:28:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Edu! 2010-12-14 18:37:14 EST
Description of problem:

The org.eclipse.jdt.junit.core_3.6.1.r361_v20100825-800.jar is missing in the eclipse-jdt package. As a result, Eclipse Helios does not provide JUnit run configurations and there is no JUnit library that can be added to the buildpath.

The Eclipse download site has a jdt zip file that does include the junit.core jar:

http://download.eclipse.org/eclipse/downloads/drops/R-3.6-201006080911/index.php#JDTRuntime


Version-Release number of selected component (if applicable): 3.6.1 (build date: 12/01/2010 09:13:14)


How reproducible: reproducible


Steps to Reproduce:
1. Install eclipse-platform 3.6.1 and eclipse-jdt 3.6.1
2. Delete ~/.eclipse
3. Launch eclipse
4. Create a new Java project, try to add a JUnit library to the buildpath
5. Try to create a new JUnit test
6. Create a new class, try to run it as a JUnit test
  
Actual results:
- no JUnit library available
- JUnit test not available under File > New
- JUnit test runner configuration not available


Expected results:
- can select JUnit library in buildpath libraries
- can create new JUnit test
- can run a class as a JUnit test


Additional info:
I installed JDT from the org.eclipse.jdt-3.6.zip file, and after that all the JUnit functionality was available in Eclipse.
Comment 1 Fedora Update System 2010-12-15 07:35:02 EST
eclipse-3.6.1-6.1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/eclipse-3.6.1-6.1.fc14
Comment 2 Fedora Update System 2010-12-17 03:41:53 EST
eclipse-3.6.1-6.1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/eclipse-3.6.1-6.1.fc14
Comment 3 Fedora Update System 2010-12-24 19:28:48 EST
eclipse-3.6.1-6.1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.